### Function

# ICalGLib Recurrence encode_day

since: 3.0.5

#### Declaration [src]

    gshort
    i_cal_recurrence_encode_day (
      ICalRecurrenceWeekday weekday,
      gint position
    )

#### Description [src]

Encodes the `weekday` and `position` into a single value, which can by split by `i_cal_recurrence_day_day_of_week()` and i_cal_recurrence_day_position().

Available since: 3.0.5

#### Parameters

`weekday`

  Type: `ICalRecurrenceWeekday`

  The `ICalRecurrenceWeekday` to use.

`position`

  Type: `gint`

  The position to use. 0 == any of day of week. 1 == first, 2 = second, -2 == second to last, etc.

#### Return value

Type: `gshort`

Encoded `weekday` and `position` into a single value.